Bug 1004119 - smallbin double linked list corrupted
smallbin double linked list corrupted
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: mate-text-editor (Show other bugs)
19
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 22:02 EDT by M. Kristall
Modified: 2014-10-03 10:26 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-03 10:26:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
thread apply all bt full (28.52 KB, text/plain)
2013-09-03 22:02 EDT, M. Kristall
no flags Details

  None (edit)
Description M. Kristall 2013-09-03 22:02:04 EDT
Created attachment 793401 [details]
thread apply all bt full

Description of problem:
pluma periodically crashes with "*** Error in `/usr/bin/pluma': malloc(): smallbin double linked list corrupted: 0x08b68458 ***"

Version-Release number of selected component (if applicable):
mate-text-editor-1.6.0-5.fc19.i686

How reproducible:
90% of the time I use it. Usually after saving and/or scrolling around. Sometimes it'll happen a few times in a half hour period. Other times it doesn't happen at all.
Comment 1 Wolfgang Ulbrich 2013-09-12 15:51:14 EDT
Which DE are you using?
Comment 2 Wolfgang Ulbrich 2013-09-14 13:59:35 EDT
#3  0x446350c5 in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x4473f334 "*** Error in `%s': %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:196
Comment 3 M. Kristall 2013-09-14 23:13:04 EDT
(In reply to Wolfgang Ulbrich from comment #1)
> Which DE are you using?

mate
Comment 4 Siddhesh Poyarekar 2013-09-15 22:52:31 EDT
(In reply to Wolfgang Ulbrich from comment #2)
> #3  0x446350c5 in __libc_message (do_abort=do_abort@entry=2,
> fmt=fmt@entry=0x4473f334 "*** Error in `%s': %s: 0x%s ***\n") at
> ../sysdeps/unix/sysv/linux/libc_fatal.c:196

That is glibc *detecting* a memory corruption, which is usually caused by writing over freed memory or a heap buffer overflow or something similar.  It is not a bug *in* glibc.
Comment 5 Wolfgang Ulbrich 2013-09-28 12:08:52 EDT
upstream is informed.
https://github.com/mate-desktop/mate-text-editor/issues/30
Comment 6 Wolfgang Ulbrich 2014-10-03 10:26:41 EDT
upstream has closed the issue!
"Closing... Unluckily there are no enough info to reproduce the problem. Feel free to re-open if there will be more info"

Feel free to report directly at  the upstream report if you have more info.

Note You need to log in before you can comment on or make changes to this bug.